```@meta
CurrentModule = FractionalCalculus
```

# FractionalCalculus.jl

Hello there👋!

FractionalCalculus.jl is a Julia package aiming at providing support for computing fractional derivative and fractional integral.

```@contents
Pages = ["index.md"]
```

## Installation

To install FractionalCalculus, please open Julia REPL and press`]` key to use package mode and then type the following command:

```julia
pkg> add FractionalCalculus
```

Or if you want to experience the latest version of FractionalCalculus.jl:

```julia
pkg> add FractionalCalculus#master
```

## Features

FractionalCalculus now has algorithms for **Caputo fractional derivative**, **Grunwald-Letnikov fractional derivative** and **Riemann-Liouville fractional integral** support, more algorithms are planned to support to enrich the package ecosystem.

## Plans

- Symbolic differentiation and integration

- FractionalCalculus.jl website with online experiencing

- Add more visualization of how the fraction derivative and integral are changing based on Makie or Javis or Manim

- Fractional differential equations

## Contributing

The development of FractionalCalculus.jl is on GitHub, please [report bugs](https://github.com/SciFracX/FractionalCalculus.jl/issues) or [send pull requests](https://github.com/SciFracX/FractionalCalculus.jl/pulls) to help FractionalCalculus.jl grow.

## Acknowledge

**FractionalCalculus.jl** is built upon the hard work of many scientific researchers, I sincerely appreciate what they have done to help the development of science and technology.

!!! info "WIP"
		FractionalCalculus.jl is under heavy construction, some API or docs might change a lot.